BEGIN DIVALIR1



IF ~!InParty("Yasraena")
Global("YSTooRisky","GLOBAL",1)~
THEN BEGIN MeetSadDivalir
SAY ~<CHARNAME>, you escaped the drow?~ [YASRA127]
=
~(This elf looks oddly familiar, yet you are certain you have never met him. He recognizes your puzzlement.)~
=
~I am Divalir of Suldanessellar, and we last met in the foul city of the drow. It was there that Yasraena left you to free me.~
=
~She obviously succeeded, but it was at the cost of her life. I thought you might be interested to know.~
IF ~~ THEN DO ~SetGlobal("ToldYasraenaEnd","LOCALS",1)
EraseJournalEntry(@5000)
EraseJournalEntry(@5001)
EraseJournalEntry(@5002)
EraseJournalEntry(@5003)
EraseJournalEntry(@5004)
EraseJournalEntry(@5005)
EraseJournalEntry(@5006)
EraseJournalEntry(@5007)
EraseJournalEntry(@5008)
EscapeArea()~ SOLVED_JOURNAL @5009
EXIT
END


IF ~!InParty("Yasraena")
OR(2)
Global("PCBetrayedYasraena","GLOBAL",1)
Global("YasraenaExecuted","GLOBAL",1)~
THEN BEGIN MeetAngryDivalir
SAY ~<CHARNAME>, you hellspawn! Yasraena put her trust in you, and you betrayed that trust.~ [YASRA128]
=
~For that, you shall this day die by my hand!~
IF ~~ THEN DO ~SetGlobal("ToldYasraenaBetrayed","LOCALS",1)
EraseJournalEntry(@5000)
EraseJournalEntry(@5001)
EraseJournalEntry(@5002)
EraseJournalEntry(@5003)
EraseJournalEntry(@5004)
EraseJournalEntry(@5005)
EraseJournalEntry(@5006)
EraseJournalEntry(@5007)
EraseJournalEntry(@5008)
EraseJournalEntry(@5019)
EraseJournalEntry(@5016)
 Enemy()
 ReallyForceSpell(Myself,WIZARD_STONE_SKIN)
 ReallyForceSpell(Myself,WIZARD_PROTECTION_FROM_NORMAL_WEAPONS)
 ReallyForceSpell(Myself,WIZARD_FIRE_SHIELD_BLUE)
 ReallyForceSpell(Myself,WIZARD_SPELL_IMMUNITY_ABJURATION)
 ReallyForceSpell(Myself,WIZARD_TRUE_SIGHT)
 ReallyForceSpell(Myself,WIZARD_IMPROVED_HASTE)~ SOLVED_JOURNAL @5010
EXIT
END



IF ~!InParty("Yasraena")
Global("AvengingDivalir","GLOBAL",1)~
THEN BEGIN MeetAngryDivalir1
SAY ~<CHARNAME>, you hellspawn! Yasraena put her trust in you, and you betrayed that trust.~ [YASRA128]
=
~For that, you shall this day die by my hand!~
IF ~~ THEN DO ~SetGlobal("AvengingDivalir","GLOBAL",2)Enemy()
 ReallyForceSpell(Myself,WIZARD_STONE_SKIN)
 ReallyForceSpell(Myself,WIZARD_PROTECTION_FROM_NORMAL_WEAPONS)
 ReallyForceSpell(Myself,WIZARD_FIRE_SHIELD_BLUE)
 ReallyForceSpell(Myself,WIZARD_SPELL_IMMUNITY_ABJURATION)
 ReallyForceSpell(Myself,WIZARD_TRUE_SIGHT)
 ReallyForceSpell(Myself,WIZARD_IMPROVED_HASTE)~
EXIT
END



CHAIN
IF ~InParty("Yasraena")
Global("DivalirRescued","GLOBAL",1)
Global("PCSlaughteredKinalluth","GLOBAL",1)~
THEN DIVALIR1 MeetConcernedDivalir
~Yasraena! I had feared never to see you more.~ [YASRA129]
== BYASRAEN
~Divalir! Have you recovered? Are you well?~ [YASRA130]
== DIVALIR1
~I am better, my own, but I am still weak. The drow do not interrogate gently.~
== BYASRAEN
~Divalir. (Her voice shakes.) I wish I could have been there earlier.~
== DIVALIR1
~You did so much for me, my love. I could not be prouder of you.~
== BYASRAEN
~All that I am I owe to you, my ssinssrigg.~
== DIVALIR1
~My love. (He presses Yasraena's hand to his lips. Then, with her held to his breast, he speaks to you.)~
=
~<CHARNAME>, it is good to see you again, too. I thank you for aiding me, though your method of dealing with Kinalluth and his elves was quite distasteful.~
=
~You must learn to control that famous temper of yours, lest it lead you down the dark road to your father!~
=
~But now I see you press on to fulfill your destiny, to claim your heritage.~
END
 ++ ~I do.~ GOTO MeetConcernedDivalir1a
 ++ ~My heritage means little to me. I want Irenicus!~ GOTO MeetConcernedDivalir2a
 ++ ~I seem to be following a path already laid out for me. I do not know where it will lead.~ GOTO MeetConcernedDivalir3a

CHAIN DIVALIR1 MeetConcernedDivalir1a
~Then may the blessings of Corellon Larethian go with you.~
=
~Yasraena--~
== BYASRAEN
~(Yasraena's eyes brighten, and she tightens her hold on him.) Yes, I will remain with you!~
== DIVALIR1
~No, Yasraena. I am yet weak, and while you are strong, you must aid <CHARNAME>. We owe <PRO_HIMHER> a debt of honor. We owe <PRO_HIMHER> this much, at least.~
== BYASRAEN
~I understand. <CHARNAME>, shall I continue with you?~
END
 ++ ~Of course. I need you now more than ever.~ GOTO MeetConcernedDivalir4a
 ++ ~No, Yasraena. Stay with Divalir and see that he recovers.~ GOTO MeetConcernedDivalir5a
 ++ ~I need you, Yasraena, but the choice is yours.~ GOTO MeetConcernedDivalir4a

CHAIN DIVALIR1 MeetConcernedDivalir2a
~In time, it will. But do not let revenge eat away at your heart. It is poison.~
=
~Yasraena--~
== BYASRAEN
~(Yasraena's eyes brighten, and she tightens her hold on him.) Yes, I will remain with you!~
== DIVALIR1
~No, Yasraena. I am yet weak, and while you are strong, you must aid <CHARNAME>. We owe <PRO_HIMHER> a debt of honor. We owe <PRO_HIMHER> this much, at least.~
== BYASRAEN
~I understand. <CHARNAME>, shall I continue with you?~
END
 ++ ~Of course. I need you now more than ever.~ GOTO MeetConcernedDivalir4a
 ++ ~No, Yasraena. Stay with Divalir and see that he recovers.~ GOTO MeetConcernedDivalir5a
 ++ ~I need you, Yasraena, but the choice is yours.~ GOTO MeetConcernedDivalir4a

CHAIN DIVALIR1 MeetConcernedDivalir3a
~It will lead you to your destiny, and if you are brave enough, you will rise boldly to meet it.~
=
~Yasraena--~
== BYASRAEN
~(Yasraena's eyes brighten, and she tightens her hold on him.) Yes, I will remain with you!~
== DIVALIR1
~No, Yasraena. I am yet weak, and while you are strong, you must aid <CHARNAME>. We owe <PRO_HIMHER> a debt of honor. We owe <PRO_HIMHER> this much, at least.~
== BYASRAEN
~I understand. <CHARNAME>, shall I continue with you?~
END
 ++ ~Of course. I need you now more than ever.~ GOTO MeetConcernedDivalir4a
 ++ ~No, Yasraena. Stay with Divalir and see that he recovers.~ GOTO MeetConcernedDivalir5a
 ++ ~I need you, Yasraena, but the choice is yours.~ GOTO MeetConcernedDivalir4a

CHAIN DIVALIR1 MeetConcernedDivalir4a
~Go with <PRO_HIMHER>, Yasraena.~
== BYASRAEN
~Very well, my Divalir. Wait for me. I will not fail.~
== DIVALIR1
~I know you will not.~
DO ~SetGlobal("ToldYasraenaStay","LOCALS",1)
AddexperienceParty(60000)
EraseJournalEntry(@5000)
EraseJournalEntry(@5001)
EraseJournalEntry(@5002)
EraseJournalEntry(@5003)
EraseJournalEntry(@5004)
EraseJournalEntry(@5005)
EraseJournalEntry(@5006)
EraseJournalEntry(@5007)
EraseJournalEntry(@5008)
EraseJournalEntry(@5017)
AddJournalEntry(@5011,QUEST_DONE)
EscapeArea()~
EXIT

CHAIN DIVALIR1 MeetConcernedDivalir5a
~You are too kind, <CHARNAME>, but I think this is a mistake. You found my Yasraena for a reason.~
== BYASRAEN
~I feel there is more I can do, but if this is your decision, I will honor it.~
=
~I thank you and know not how to repay your service to me and Divalir.~
=
~Farewell.~
DO ~LeaveParty()EscapeArea()~
== DIVALIR1
~Farewell, and thank you.~
DO ~SetGlobal("ToldYasraenaGo","LOCALS",1)
EraseJournalEntry(@5000)
EraseJournalEntry(@5001)
EraseJournalEntry(@5002)
EraseJournalEntry(@5003)
EraseJournalEntry(@5004)
EraseJournalEntry(@5005)
EraseJournalEntry(@5006)
EraseJournalEntry(@5007)
EraseJournalEntry(@5008)
EraseJournalEntry(@5017)
AddexperienceParty(30000)
AddJournalEntry(@5012,QUEST_DONE)
EscapeArea()~
EXIT



CHAIN
IF ~InParty("Yasraena")
Global("DivalirRescued","GLOBAL",1)
Global("PCSlaughteredKinalluth","GLOBAL",0)~
THEN DIVALIR1 MeetNiceDivalir
~Yasraena! I had feared never to see you more.~ [YASRA129]
== BYASRAEN
~Divalir! Have you recovered? Are you well?~ [YASRA130]
== DIVALIR1
~I am better, my own, but I am still weak. The drow do not interrogate gently.~
== BYASRAEN
~Divalir. (Her voice shakes.) I wish I could have been there earlier.~
== DIVALIR1
~You did so much for me, my love. I could not be prouder of you.~
== BYASRAEN
~All that I am I owe to you, my ssinssrigg.~
== DIVALIR1
~My love. (He presses Yasraena's hand to his lips. Then, with her held to his breast, he speaks to you.)~
=
~<CHARNAME>, it is good to see you again, too. I thank you for aiding me.~
=
~And now I see you press on to fulfill your destiny, to claim your heritage.~
END
 ++ ~I do.~ GOTO MeetNiceDivalir1a
 ++ ~My heritage means little to me. I want Irenicus!~ GOTO MeetNiceDivalir2a
 ++ ~I seem to be following a path already laid out for me. I do not know where it will lead.~ GOTO MeetNiceDivalir3a

CHAIN DIVALIR1 MeetNiceDivalir1a
~Then may the blessings of Corellon Larethian go with you.~
=
~Yasraena--~
== BYASRAEN
~(Yasraena's eyes brighten, and she tightens her hold on him.) Yes, I will remain with you!~
== DIVALIR1
~No, Yasraena. I am yet weak, and while you are strong, you must aid <CHARNAME>. We owe <PRO_HIMHER> a debt of honor. We owe <PRO_HIMHER> this much, at least.~
== BYASRAEN
~I understand. <CHARNAME>, shall I continue with you?~
END
 ++ ~Of course. I need you now more than ever.~ GOTO MeetNiceDivalir4a
 ++ ~No, Yasraena. Stay with Divalir and see that he recovers.~ GOTO MeetNiceDivalir5a
 ++ ~I need you, Yasraena, but the choice is yours.~ GOTO MeetNiceDivalir4a

CHAIN DIVALIR1 MeetNiceDivalir2a
~In time, it will. But do not let revenge eat away at your heart. It is poison.~
=
~Yasraena--~
== BYASRAEN
~(Yasraena's eyes brighten, and she tightens her hold on him.) Yes, I will remain with you!~
== DIVALIR1
~No, Yasraena. I am yet weak, and while you are strong, you must aid <CHARNAME>. We owe <PRO_HIMHER> a debt of honor. We owe <PRO_HIMHER> this much, at least.~
== BYASRAEN
~I understand. <CHARNAME>, shall I continue with you?~
END
 ++ ~Of course. I need you now more than ever.~ GOTO MeetNiceDivalir4a
 ++ ~No, Yasraena. Stay with Divalir and see that he recovers.~ GOTO MeetNiceDivalir5a
 ++ ~I need you, Yasraena, but the choice is yours.~ GOTO MeetNiceDivalir4a

CHAIN DIVALIR1 MeetNiceDivalir3a
~It will lead you to your destiny, and if you are brave enough, you will rise boldly to meet it.~
=
~Yasraena--~
== BYASRAEN
~(Yasraena's eyes brighten, and she tightens her hold on him.) Yes, I will remain with you!~
== DIVALIR1
~No, Yasraena. I am yet weak, and while you are strong, you must aid <CHARNAME>. We owe <PRO_HIMHER> a debt of honor. We owe <PRO_HIMHER> this much, at least.~
== BYASRAEN
~I understand. <CHARNAME>, shall I continue with you?~
END
 ++ ~Of course. I need you now more than ever.~ GOTO MeetNiceDivalir4a
 ++ ~No, Yasraena. Stay with Divalir and see that he recovers.~ GOTO MeetNiceDivalir5a
 ++ ~I need you, Yasraena, but the choice is yours.~ GOTO MeetNiceDivalir4a

CHAIN DIVALIR1 MeetNiceDivalir4a
~Go with <PRO_HIMHER>, Yasraena.~
== BYASRAEN
~Very well, my Divalir. Wait for me. I will not fail.~
== DIVALIR1
~I know you will not.~
DO ~SetGlobal("ToldYasraenaStay","LOCALS",1)
EraseJournalEntry(@5000)
EraseJournalEntry(@5001)
EraseJournalEntry(@5002)
EraseJournalEntry(@5003)
EraseJournalEntry(@5004)
EraseJournalEntry(@5005)
EraseJournalEntry(@5006)
EraseJournalEntry(@5007)
EraseJournalEntry(@5008)
EraseJournalEntry(@5017)
AddexperienceParty(60000)
AddJournalEntry(@5013,QUEST_DONE)
EscapeArea()~
EXIT

CHAIN DIVALIR1 MeetNiceDivalir5a
~You are too kind, <CHARNAME>, but I think this is a mistake. You found my Yasraena for a reason.~
== BYASRAEN
~I feel there is more I can do, but if this is your decision, I will honor it.~
=
~I thank you and know not how to repay your service to me and Divalir.~
=
~Farewell.~
DO ~LeaveParty()EscapeArea()~
== DIVALIR1
~Farewell, and thank you.~
DO ~EraseJournalEntry(@5000)
EraseJournalEntry(@5001)
EraseJournalEntry(@5002)
EraseJournalEntry(@5003)
EraseJournalEntry(@5004)
EraseJournalEntry(@5005)
EraseJournalEntry(@5006)
EraseJournalEntry(@5007)
EraseJournalEntry(@5008)
EraseJournalEntry(@5017)
AddexperienceParty(30000)
AddJournalEntry(@5014,QUEST_DONE)
EscapeArea()~
EXIT
